Package ghidra.pty.unix

# Class PosixC.ControllingTty.ByReference

java.lang.Object
com.sun.jna.Structure
ghidra.pty.unix.PosixC.ControllingTty
ghidra.pty.unix.PosixC.ControllingTty.ByReference

All Implemented Interfaces:
  `com.sun.jna.Structure.ByReference`

Enclosing class:
  `PosixC.ControllingTty`

public static class PosixC.ControllingTty.ByReference extends PosixC.ControllingTty implements com.sun.jna.Structure.ByReference

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.pty.unix.PosixC.ControllingTty

  `PosixC.ControllingTty.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `com.sun.jna.Structure.ByValue, com.sun.jna.Structure.FieldOrder, com.sun.jna.Structure.StructField`

- ## Field Summary

  ### Fields inherited from class ghidra.pty.unix.PosixC.ControllingTty

  `steal`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByReference()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ByReference

    public ByReference()